<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Wowa extends Model
{
    const STATE_CREATED = "CREATED";
    const STATE_QUEUED = "QUEUED";
    const STATE_RUNNING = "RUNNING";
    const STATE_SUCCESS = "SUCCESS";
    const STATE_FAILED = "FAILED";

    public static $status_classes = [
        self::STATE_SUCCESS => "btn-success",
        self::STATE_FAILED => "btn_danger"
    ];

    private function getStatusBadgeClass()
    {
        $status = $this->status;
        if (!isset(self::$status_classes[$status])) {
            return "btn-primary";
        }

        return self::$status_classes[$status];
    }

    public function statusBadge()
    {
        return "<span class='btn btn-badge btn-sm "
            . $this->getStatusBadgeClass() . "'>" . $this->status . "</span>";
    }

    public function displayWeightsW()
    {
        if ($this->w_weights == null) {
            return;
        }
        $values = explode(",", $this->w_weights);
        foreach ($values as $el) {
            echo $el . PHP_EOL;
        }
    }

    public function displayWeightsP()
    {
        if ($this->p_weights == null) {
            return;
        }
        $values = explode(",", $this->p_weights);
        foreach ($values as $el) {
            echo $el . PHP_EOL;
        }
    }

    public function roc()
    {
        if ($this->roc == null) {
            return "ADD Compute Button";
        } else {
            return $this->roc;
        }
    }

    public function pr()
    {
        if ($this->pr == null) {
            return "ADD Compute Button";
        } else {
            return $this->pr;
        }
    }
}
